#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import wzory_fizyczne

import sys
from PyQt5 import QtCore, QtGui, QtWidgets

class Properties(QtWidgets.QDialog):
    def __init__(self, parent=None):
        QtWidgets.QDialog.__init__(self, parent)

        self.setFixedSize(390, 300)
        self.setWindowTitle(u"właściwości fizyczne")

        self.medium = "Powietrze"
        self.media = ("Powietrze", "Woda", "N2", "O2", "CO2", "SO2", "Shell Thermia Oil B")
        self.wybor_medium = QtWidgets.QComboBox(self)
        self.wybor_medium.activated.connect( self.zmiana_medium )
        self.wybor_medium.addItems(self.media)

        self.temperatura_text = QtWidgets.QLabel( u"temperatura, °C" )

        self.T = 20
        self.temperatura = QtWidgets.QSpinBox(self)
        self.temperatura.setValue(20)
        self.temperatura.setMaximum(200)
        self.temperatura.setMinimum(0)
        self.temperatura.valueChanged.connect( self.licz )

        self.wyniki = QtWidgets.QTextEdit('', self)


        self.vbox = QtWidgets.QVBoxLayout()
        self.vbox.addWidget(self.wybor_medium)
        self.vbox.addWidget(self.temperatura_text)
        self.vbox.addWidget(self.temperatura)
        self.vbox.addWidget(self.wyniki)

        self.setLayout(self.vbox)

        screen = QtWidgets.QDesktopWidget().screenGeometry()
        size =  self.geometry()
        
        self.licz()



    def licz(self):
        if self.medium == "Powietrze":
          self.temperatura.setMaximum(200)
          self.T = int(self.temperatura.value())
          text = 'gestosc = ' + str(round(wzory_fizyczne.gestosc__powietrze(self.T),3)) + '[kg/m3]'
          text += '\ncieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__powietrze(self.T),3)) + '[J/(kg*K)]'
          text += '\nobjetosciowe cieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe_objetosciowe__powietrze(self.T),3)) + '[J/(kg*K)]'
          text += '\nlepkosc kinetyczna = ' + str(round(wzory_fizyczne.lepkosc_kinematyczna__powietrze(self.T)*1e5,3)) + '[10^-5 m2/s]'
          text += '\nlepkosc dynamiczna = ' + str(round(wzory_fizyczne.lepkosc_dynamiczna__powietrze(self.T)*1e5,3)) + '[10^-5 Pa*s]'
          text += '\nprzewodnosc cieplna = ' + str(round(wzory_fizyczne.przewodnosc_cieplna__powietrze(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
          self.wyniki.setText(text)

        if self.medium == "Woda":
          self.temperatura.setMaximum(100)
          self.T = int(self.temperatura.text())
          text = 'gestosc = ' + str(round(wzory_fizyczne.gestosc__woda(self.T),3)) + '[kg/m3]'
          text += '\ncieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__woda(self.T),3)) + '[J/(kg*K)]'
          text += '\nlepkosc kinetyczna = ' + str(round(wzory_fizyczne.lepkosc_kinematyczna__woda(self.T)*1e5,3)) + '[10^-5 m2/s]'
          text += '\nlepkosc dynamiczna = ' + str(round(wzory_fizyczne.lepkosc_dynamiczna__woda(self.T)*1e5,3)) + '[10^-5 Pa*s]'
          text += '\nprzewodnosc cieplna = ' + str(round(wzory_fizyczne.przewodnosc_cieplna__woda(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
          text += '\nliczba Pr = ' + str(round(wzory_fizyczne.liczba_Pr__woda(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
          self.wyniki.setText(text)

        if self.medium == "N2":
          self.temperatura.setMaximum(1200)
          self.T = int(self.temperatura.text())
          text = 'gestosc = ' + str(round(wzory_fizyczne.gestosc__N2(self.T),3)) + '[kg/m3]'
          text += '\ncieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__N2(self.T),3)) + '[J/(kg*K)]'
          text += '\nlepkosc kinetyczna = ' + str(round(wzory_fizyczne.lepkosc_kinematyczna__N2(self.T)*1e5,3)) + '[10^-5 m2/s]'
          text += '\nprzewodnosc cieplna = ' + str(round(wzory_fizyczne.przewodnosc_cieplna__N2(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
          self.wyniki.setText(text)

        if self.medium == "O2":
          self.temperatura.setMaximum(1200)
          self.T = int(self.temperatura.text())
          text = 'gestosc = ' + str(round(wzory_fizyczne.gestosc__O2(self.T),3)) + '[kg/m3]'
          text += '\ncieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__O2(self.T),3)) + '[J/(kg*K)]'
          text += '\nlepkosc kinetyczna = ' + str(round(wzory_fizyczne.lepkosc_kinematyczna__O2(self.T)*1e5,3)) + '[10^-5 m2/s]'
          text += '\nprzewodnosc cieplna = ' + str(round(wzory_fizyczne.przewodnosc_cieplna__O2(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
          self.wyniki.setText(text)

        if self.medium == "CO2":
          self.temperatura.setMaximum(1200)
          self.T = int(self.temperatura.text())
          text = 'gestosc = ' + str(round(wzory_fizyczne.gestosc__CO2(self.T),3)) + '[kg/m3]'
          text += '\ncieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__CO2(self.T),3)) + '[J/(kg*K)]'
          text += '\nlepkosc kinetyczna = ' + str(round(wzory_fizyczne.lepkosc_kinematyczna__CO2(self.T)*1e5,3)) + '[10^-5 m2/s]'
          text += '\nprzewodnosc cieplna = ' + str(round(wzory_fizyczne.przewodnosc_cieplna__CO2(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
          self.wyniki.setText(text)

        if self.medium == "SO2":
          self.temperatura.setMaximum(1200)
          self.T = int(self.temperatura.text())
          text = 'cieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__SO2(self.T),3)) + '[J/(kg*K)]'
          self.wyniki.setText(text)

        if self.medium == "Shell Thermia Oil B":
          self.temperatura.setMaximum(300)
          self.T = int(self.temperatura.text())
          text = 'gestosc = ' + str(round(wzory_fizyczne.gestosc__Shell_Thermia_Oil_B(self.T),3)) + '[kg/m3]'
          text += '\ncieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__Shell_Thermia_Oil_B(self.T),3)) + '[J/(kg*K)]'
          text += '\nlepkosc kinetyczna = ' + str(round(wzory_fizyczne.lepkosc_kinematyczna__Shell_Thermia_Oil_B(self.T)*1e5,3)) + '[10^-5 m2/s]'
          text += '\nprzewodnosc cieplna = ' + str(round(wzory_fizyczne.przewodnosc_cieplna__Shell_Thermia_Oil_B(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
          self.wyniki.setText(text)

    def zmiana_medium(self, nr):
        self.medium = self.media[nr]
        self.licz()



if __name__ == "__main__":
        app = QtWidgets.QApplication(sys.argv)
        icon = Properties()
        icon.show()
        sys.exit(app.exec_())

